Bug 98614 - [PATCH] Port databases/ruby-bdb does not build when more than one BerkeleyDB version is installed
Summary: [PATCH] Port databases/ruby-bdb does not build when more than one BerkeleyDB ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-07 09:30 UTC by Sven Berkvens-Matthijsse
Modified: 2015-04-02 06:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Berkvens-Matthijsse 2006-06-07 09:30:18 UTC
	The port databases/ruby-bdb does not build correctly when more than
	one version of BerkeleyDB is present on the system. The port system
	chooses the first version of BerkeleyDB that it can find, while the
	port itself chooses (via Ruby's extconf system) the newest version
	of BerkeleyDB. This results in an installed port that, when used,
	complains about a symbol 'db_version' that can't be found.

Fix: 

Include WITH_BDB_HIGHEST=yes in the Makefile of this port.
How-To-Repeat: 	Install (for example) BerkeleyDB 4.1 and 4.2 and then build this
	port.
Comment 1 Edwin Groothuis freebsd_committer 2006-06-07 10:00:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer
Comment 2 Matthias Andree 2006-07-15 11:49:25 UTC
I think the suggested fix and report have been superseded by ports/99697.
Comment 3 Pav Lucistnik freebsd_committer 2006-12-03 13:37:35 UTC
State Changed
From-To: open->closed

Already fixed in a different manner.
Comment 4 commit-hook freebsd_committer 2015-04-02 06:45:19 UTC
A commit references this bug:

Author: maho
Date: Thu Apr  2 06:45:12 UTC 2015
New revision: 382985
URL: https://svnweb.freebsd.org/changeset/ports/382985

Log:
  math/lapacke : update port to slave port of math/lapack, and updated to
  3.5.0 accordingly.

  PR:		98614
  Submitted by:	phd_kimberlite@yahoo.co.jp

Changes:
  head/math/lapack/Makefile
  head/math/lapack/pkg-plist
  head/math/lapacke/Makefile
  head/math/lapacke/distinfo
  head/math/lapacke/files/